"""Query utilities and helpers for Cardano DB Sync data.

This module provides utility functions and helper patterns for building
queries against Cardano DB Sync databases. The actual query implementations
are provided as examples in the examples/ directory.

For query examples, see:
- examples/queries/chain_metadata.py - Chain fundamentals and metadata
- Additional query examples will be added for transactions, pools, etc.
"""

# This module is reserved for utility functions that support query building
# The actual query implementations are provided as examples, not as part of
# the core package

__all__ = [
    # Future utilities for query building will be added here
    # Example: "QueryBuilder", "OptimizationHelpers", etc.
]
